package com.pavis.admin.aigc.common.model.resp;

import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class ChatResp {

    private boolean isDone = false;

    private String message;

    private Integer usedToken;

    private long time;

    public ChatResp(String message) {
        this.message = message;
    }

    public ChatResp(Integer usedToken, long startTime) {
        this.isDone = true;
        this.usedToken = usedToken;
        this.time = System.currentTimeMillis() - startTime;
    }
}
